For the complete documentation index, see llms.txt. This page is also available as Markdown.

Query KYC status

Returns the current status of a KYC.

Endpoint: GET /kyc/status/{kycExternalUserId}/{sort}

Path Parameters:

  • kycExternalUserId - Your unique final user ID

  • sort - KYS sort you are making KYC for

Endpoint: GET /kyc/status-by-uuid/{uuid}

Path Parameters:

  • uuid - UUID of KYC

Response

If the request is successful, the API returns a JSON object containing the KYC status.

{
  "kycExternalUserId": "your unique user id",
  "status": "DECLINED",
  "reason": "photo is dirty",
  "uuid": "uuid-of-kyc"
}

Response Fields

Field
Type
Description

kycExternalUserId

String

Your unique final user id

status

String

Status of KYC(see KYC Status Reference below)

reason

String(optional)

Explanation of Status of KYC

uuid

String

UUID of KYC

KYC Status Reference

Status
Description

NEW

KYC created

COMPLETED

πŸ“ User has completed the form

UNDER_REVIEW

πŸ” KYC is under review

APPROVED

βœ… KYC verified β€” ready to use!

DECLINED

❌ KYC was declined

EXPIRED

⏰ KYC has expired

Last updated